/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#ifndef `$INSTANCE_NAME`_H
#define `$INSTANCE_NAME`_H

#include <cytypes.h> // uint8
      
    
//#define true  1 // 
//#define false 0 // 
    

/***************************************
*      Initialization Parameters
***************************************/    
       
#define `$INSTANCE_NAME`_PresetValue     (uint8) `=$value`                   // preset DSM value on startup 

   
/***************************************
*              Registers        
***************************************/    

#define `$INSTANCE_NAME`_Data_REG        (* (reg8 *) `$INSTANCE_NAME`_PDM8A_u0__D0_REG )
#define `$INSTANCE_NAME`_Data_PTR        (  (reg8 *) `$INSTANCE_NAME`_PDM8A_u0__D0_REG )    // data target pointer


/***************************************
*        read-only variables
***************************************/  

// encapsulation->  
//#define `$INSTANCE_NAME`_Enabled    `$INSTANCE_NAME`_GetEnabled()       // flag
#define `$INSTANCE_NAME`_Value  `$INSTANCE_NAME`_GetValue()     // current modulator value

    


/***************************************
*        Function Prototypes
***************************************/

void  `$INSTANCE_NAME`_Start();                 // start
//void  `$INSTANCE_NAME`_Stop();                  // stop
//void  `$INSTANCE_NAME`_Disable();               // pause
//void  `$INSTANCE_NAME`_Enable();                // resume
//void  `$INSTANCE_NAME`_Reset();                // reset wave to start
void  `$INSTANCE_NAME`_SetValue(uint8 value);       // set modulator value) 
uint8 `$INSTANCE_NAME`_GetValue();                  // get current modulator value
//uint8  `$INSTANCE_NAME`_GetEnabled();            // getter for Enabled 
 


#endif

/* [] END OF FILE */

